Subject: Re: Using window classes
From: [email-masked] (Mumit Khan)

13 Dec 1998 15:58:32 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:
> I am trying to create a system global class windows in my program.  when I tr
> y
> to compile it it says this...

(fyi, it's "link", not "compile" step that complains).

> 
> proj.o(.text+0x202):proj.cc: undefined reference to `TheProc__FPvUiUil@16'
> collect2: ld returned 1 exit status
> 
> do I need to link something extra?  If so what?
> 

Please always specify the compiler version and the platform you're using
whenever reporting problems like this. ``gcc -v'' reports the version and
platform info.

The symbol it's looking for:
  
  % echo TheProc__FPvUiUil | c++filt
  TheProc(void *, unsigned int, unsigned int, long)

The linker is looking for a WINAPI/STDCALL version this method, and can't
find it. Either the prototype doesn't match or you're not linking with the
right library. 

You probably just forgot to use `extern "C"' when compiling the
implementation of TheProc.
  
No way to tell without more details.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".